Subject: bug#2193 closed by Jason Rumney <[email-masked]> (Re: bug#2193: 23.0.90/winxp; crash when closing speedbar)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 08 Feb 2009 15:45:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#2193: 23.0.90/winxp; crash when closing speedbar

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
2193: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2193
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2193: 23.0.90/winxp; crash when closing speedbar
From: Jason Rumney <[email-masked]>
To: martin rudalics <[email-masked]>, [email-masked]
Cc: lode leroy <[email-masked]>
Date: Sun, 08 Feb 2009 23:36:54 +0800

martin rudalics wrote:
> Could you please try the attached patch?

I installed a more comprehensive patch that does more than just avoid 
the crash, since I don't think we want to keep displaying an hourglass 
in these circumstances.

Subject: 23.0.90/winxp; crash when closing speedbar
From: lode leroy <[email-masked]>
To: [email-masked]
Date: Wed, 4 Feb 2009 14:29:46 +0100

emacs crashes every time I do the following:

go to Options->Show/Hide->speedbar
in the speedbar frame: click modeline->Speedbar->Quit

In GNU Emacs 23.0.90.1 (i386-mingw-nt5.1.2600)
 of 2009-02-01 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'